import 'dart:io';

import 'package:flutter/foundation.dart';

class AdHelper {

  static String get interstitialAdUnitId {
    if (Platform.isAndroid) {
      return "ca-app-pub-3940256099942544/1033173712";
    } else if (Platform.isIOS) {
      return "ca-app-pub-3940256099942544/4411468910";
    } else {
      throw UnsupportedError("Unsupported platform");
    }
  }

  static String get rewardedAdUnitId {
    if (Platform.isAndroid) {
      return "ca-app-pub-3940256099942544/5224354917";
    } else if (Platform.isIOS) {
      return "ca-app-pub-3940256099942544/1712485313";
    } else {
      throw UnsupportedError("Unsupported platform");
    }
  }



  static String get nativeAdUnitId {
    if (!kReleaseMode) {
      if (Platform.isAndroid) {
        return 'ca-app-pub-3940256099942544/2247696110'; //official android debug native ad unit id
      } else if (Platform.isIOS) {
        return 'ca-app-pub-3940256099942544/3986624511'; //official iOS debug banner ad unit id
      }else{
        throw UnsupportedError("Unsupported platform");
      }
    } else {
      if (Platform.isAndroid) {
        return 'ca-app-pub-6574362285928731/9669436762'; //TODO enter your own Android Ad Unit ID
      } else if (Platform.isIOS) {
        return 'ca-app-pub-6574362285928731/7781640020'; //TODO enter your own iOS Ad Unit ID
      }
      else{
        throw UnsupportedError("Unsupported platform");
      }
    }
  }
}